Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.hups
Class F2wStructure

    java.lang.Object
      umontreal.iro.lecuyer.hups.F2wStructure

    public class F2wStructure

extends Object

This class implements methods and fields needed by the classes `F2wNetLFSR`, `F2wNetPolyLCG`, `F2wCycleBasedLFSR` and `F2wCycleBasedPolyLCG`. It also stores the parameters of these point sets which will contain 2rw points (see the meaning of r and w below). The parameters can be stored as a polynomial P(z) over F2w[z]

P(z) = zr + ∑i=1rbizr-i

where bi∈F2w for i = 1,…, r. Let ζ be the root of an irreducible polynomial Q(z)∈F2[z]. It is well known that ζ is a generator of the finite field F2w. The elements of F2w are represented using the polynomial ordered basis (1, ζ,…, ζw-1).

In this class, only the non-zero coefficients of P(z) are stored. It is stored as

P(z) = z`r` + ∑i=0`nbcoeff``coeff`[i]z`nocoeff`[i]

where the coefficients in `coeff[]` represent the non-zero coefficients bi of P(z) using the polynomial basis. The finite field F2w used is defined by the polynomial

Q(z) = zw + ∑i=1waizw-i

where ai∈F2, for i = 1,…, w. Polynomial Q is stored as the bit vector `modQ` = (aw,…, a1).

The class also stores the parameter `step` that is used by the classes `F2wNetLFSR`, `F2wNetPolyLCG`, `F2wCycleBasedLFSR` and `F2wCycleBasedPolyLCG`. This parameter is such that the implementation of the recurrence will output a value at every `step` iterations.

Method Summary
`static void` | `print(String filename)` Prints the content of file `filename`.
`String` | `toString()` This method returns a string containing the polynomial P(z) and the stepping parameter.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### print

    public static void print(String filename)

  Prints the content of file `filename`. See the constructor above for the conditions on `filename`.

### toString

    public String toString()

  This method returns a string containing the polynomial P(z) and the stepping parameter.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.